TRZ_TITLE			= "Titan Panel [Recommended Zone]";
TRZ_VERSION		= "3.0.9";

-- Enumerations. Same for all languages.
TRZ_ALLIANCE			= 0;
TRZ_HORDE			= 1;
TRZ_CONTESTED			= 2;
TRZ_CITY			= 3;
TRZ_COMBAT			= 4;
TRZ_KALIMDOR			= 1;
TRZ_EASTERN 			= 2;
TRZ_OUTLAND			= 3;
TRZ_NORTHREND		= 4;
TRZ_INSTANCE			= 11;
TRZ_BATTLEGROUND	= 12;
TRZ_RAID20				= 13;
TRZ_RAID40				= 14;
TRZ_RAID10				= 15;
TRZ_RAID25              = 16;
TRZ_RAID1025              = 17;

TRZ_CONTINENT={ GetMapContinents() };

-- Start English
TRZ_UNKNOW_ENTITY	= "Unknown Entity";
TRZ_NONE					= "None";
TRZ_FACTION={
	[TRZ_ALLIANCE] 	= FACTION_ALLIANCE,
	[TRZ_HORDE] 		= FACTION_HORDE,
	[TRZ_CONTESTED]	= "Contested",
	[TRZ_CITY] 			= "City",
	[TRZ_COMBAT]		= "Combat Zone",
}
TRZ_INSTANCE_TYPE={
	[TRZ_INSTANCE]						= "",
	[TRZ_BATTLEGROUND] 				= " (Battleground)",
	[TRZ_RAID20]							= " (Raid 20)",
	[TRZ_RAID40]							= " (Raid 40)",
    [TRZ_RAID10]							= " (Raid 10)",
    [TRZ_RAID25]                            = " (RAID 25)",
    [TRZ_RAID1025]                           = " (RAID 10/25)",
}

TRZ_MENU_TEXT 								= 'Recommended Zone';
TRZ_BUTTON_LABEL 							= 'Zone: ';
TRZ_TOOLTIP_TITLE 						= 'Zone Info';
TRZ_TOGGLE_FACTION 						= 'Show Faction of zones';
TRZ_TOGGLE_CONTINENT 					= 'Show Continent for zones';
TRZ_TOGGLE_CUR_INSTANCE				= "Show Instances for current zone";
TRZ_TOGGLE_INSTANCE 					= 'Show Recommended Instances';
TRZ_TOGGLE_LOC								= 'Show Location of Instances';
TRZ_TOGGLE_RAID								= 'Show Raid Instances';
TRZ_TOGGLE_BG									= 'Show Battlegrounds';
TRZ_TOGGLE_LOWER							= 'Recommend slightly lower level zones';
TRZ_TOGGLE_HIGHER							= 'Recommend slightly higher level zones';
TRZ_TOGGLE_MAP_TEXT 					= 'Show Zone Levels on Main Map';
TRZ_TOGGLE_ICON 					= 'Show icon';

TRZ_TOOLTIP_CZONE							= "Current Zone: ";
TRZ_TOOLTIP_CRANGE						= "Zone Range: ";
TRZ_TOOLTIP_CINSTANCES				= "Instances: ";
TRZ_TOOLTIP_RECOMMEND					= "Recommended Zones:";
TRZ_TOOLTIP_RECOMMEND_INSTANCES="Recommended Instances:";
TRZ_TOOLTIP_RZONE							= "Zone: ";
TRZ_TOOLTIP_RINSTANCES				= "Instances: ";
TRZ_TOOLTIP_TO								= "to";
TRZ_TOOLTIP_MORE							= "More....";

TRZ_DESCRIPTION	= "Displays the zone level ranage of the zone you are in and also gives you a suggest zone and instances to be in.";
TRZ_LOADED			= "|cffffff00" .. TRZ_TITLE .. " v" .. TRZ_VERSION .. " loaded";

TRZ_ZONES={
     [0]={ nr= 1, low=60,high=60,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={} }, -- Ahn'Qiraj: The Fallen Kingdom 
     [1]={ nr= 2, low=20,high=25,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=5,[1]=20} },	-- Ashenvale
     [2]={ nr= 3, low=10,high=20,faction=TRZ_HORDE    ,continent=TRZ_KALIMDOR,instances={[0]=75} },	-- Azshara
     [3]={ nr= 4, low= 1,high=10,faction=TRZ_ALLIANCE ,continent=TRZ_KALIMDOR,instances={} },	-- Azuremyst Isle
     [4]={ nr= 5, low=10,high=20,faction=TRZ_ALLIANCE ,continent=TRZ_KALIMDOR,instances={} },	-- Bloodmyst Isle
     [5]={ nr= 6, low=10,high=20,faction=TRZ_ALLIANCE ,continent=TRZ_KALIMDOR,instances={} },	-- Darkshore
     [6]={ nr= 7, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_KALIMDOR,instances={} },	-- Darnassus
     [7]={ nr= 8, low=30,high=35,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=11} },	-- Desolace
     [8]={ nr= 9, low= 1,high=10,faction=TRZ_HORDE    ,continent=TRZ_KALIMDOR,instances={} },	-- Durotar
     [9]={ nr= 10, low=35,high=40,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=25} },	-- Dustwallow Marsh
    [10]={ nr=11, low=45,high=50,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={} },	-- Felwood
    [11]={ nr=12, low=35,high=40,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=17} },	-- Feralas
    [12]={ nr=13, low= 0,high= 0,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={} },	-- Moonglade
	[13]={ nr=14, low=80,high=82,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=76} }, -- Mount Hyjal
    [14]={ nr=15, low= 1,high=10,faction=TRZ_HORDE    ,continent=TRZ_KALIMDOR,instances={} },	-- Mulgore
	[15]={ nr=16, low=10,high=20,faction=TRZ_HORDE    ,continent=TRZ_KALIMDOR,instances={[0]=1,[1]=19} }, -- Northern Barrens
    [16]={ nr=17, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_KALIMDOR,instances={[0]=0} },	-- Orgrimmar
    [17]={ nr=18, low=55,high=60,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=26,[1]=27} },	-- Silithus
	[18]={ nr=19, low=30,high=35,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=7} }, -- Southern Barrens
    [19]={ nr=20, low=25,high=30,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={} },	-- Stonetalon Mountains
    [20]={ nr=21, low=45,high=50,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=12,[1]=44,[2]=45,[3]=50,[4]=77,[5]=78} },	-- Tanaris
    [21]={ nr=22, low= 1,high=10,faction=TRZ_ALLIANCE ,continent=TRZ_KALIMDOR,instances={} },	-- Teldrassil
    [22]={ nr=23, low=0 ,high=0 ,faction=TRZ_CITY     ,continent=TRZ_KALIMDOR,instances={} },    -- The Exodar
    [23]={ nr=24, low=40,high=45,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=9} },	-- Thousand Needles
    [24]={ nr=25, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_KALIMDOR,instances={} },	-- Thunder Bluff
	[25]={ nr=26, low=83,high=84,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={[0]=79,[1]=80,[2]=81,[3]=82} }, -- Uldum
    [26]={ nr=27, low=50,high=55,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={} },	-- Un'Goro Crater
    [27]={ nr=28, low=50,high=55,faction=TRZ_CONTESTED,continent=TRZ_KALIMDOR,instances={} },	-- Winterspring
	[28]={ nr= 1, low=80,high=81,faction=TRZ_CONTESTED,continent=TRZ_EASTERN ,instances={[0]=83} }, -- Abyssal Depths
    [29]={ nr= 2, low=25,high=30,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=21} },	-- Arathi Highlands
    [30]={ nr= 3, low=45,high=48,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=10} },	-- Badlands
    [31]={ nr= 4, low=54,high=60,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} },	-- Blasted Lands
    [32]={ nr= 5, low=50,high=52,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=14,[1]=15,[2]=36,[3]=23,[4]=24} },	-- Burning Steppes
    [33]={ nr= 6, low=55,high=60,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=46} },	-- Deadwind Pass
    [34]={ nr= 7, low= 1,high=10,faction=TRZ_ALLIANCE ,continent=TRZ_EASTERN, instances={[0]=6} },	-- Dun Morogh
    [35]={ nr= 8, low=20,high=25,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} },	-- Duskwood
    [36]={ nr= 9, low=40,high=45,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=16} },	-- Eastern Plaguelands
    [37]={ nr=10, low= 1,high=10,faction=TRZ_ALLIANCE ,continent=TRZ_EASTERN, instances={} },	-- Elwynn Forest
    [38]={ nr=11, low= 1,high=10,faction=TRZ_HORDE    ,continent=TRZ_EASTERN, instances={} },	-- Eversong Woods
    [39]={ nr=12, low=10,high=20,faction=TRZ_HORDE    ,continent=TRZ_EASTERN, instances={[0]=71} },	-- Ghostlands
    [40]={ nr=13, low=20,high=25,faction=TRZ_HORDE    ,continent=TRZ_EASTERN, instances={[0]=22} },	-- Hillsbrad Foothills
    [41]={ nr=14, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_EASTERN, instances={} },	-- Ironforge
    [42]={ nr=15, low=70,high=73,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=52,[1]=53} },   -- Isle of Quel'Danas
	[43]={ nr=16, low=80,high=82,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} }, -- Kelp'thar Forest
    [44]={ nr=17, low=10,high=20,faction=TRZ_ALLIANCE ,continent=TRZ_EASTERN, instances={} },	-- Loch Modan
	[45]={ nr=18, low=25,high=30,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} }, -- Northern Stranglethorn
    [46]={ nr=19, low=15,high=20,faction=TRZ_ALLIANCE ,continent=TRZ_EASTERN, instances={} },	-- Redridge Mountains
	[47]={ nr=20, low=14,high=16,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} }, -- Ruins of Gilneas
	[48]={ nr=21, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_EASTERN, instances={} }, -- Ruins of Gilneas City
    [49]={ nr=22, low=48,high=50,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} },	-- Searing Gorge
	[50]={ nr=23, low=80,high=82,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} }, -- Shimmering Expanse
    [51]={ nr=24, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_EASTERN, instances={} },	-- Silvermoon City
    [52]={ nr=25, low=10,high=20,faction=TRZ_HORDE    ,continent=TRZ_EASTERN, instances={[0]=4} },	-- Silverpine Forest
    [53]={ nr=26, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_EASTERN, instances={[0]=3} },	-- Stormwind City
    [54]={ nr=27, low=35,high=40,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} },	-- Stranglethorn Vale
    [55]={ nr=28, low=52,high=55,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=13} },	-- Swamp of Sorrows
	[56]={ nr=29, low=30,high=35,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} }, -- The Cape of Stranglethorn
    [57]={ nr=30, low=30,high=35,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} },	-- The Hinterlands
    [58]={ nr=31, low= 1,high=10,faction=TRZ_HORDE    ,continent=TRZ_EASTERN, instances={[0]=8} },	-- Tirisfal Glades
	[59]={ nr=32, low=84,high=85,faction=TRZ_COMBAT   ,continent=TRZ_EASTERN, instances={} }, -- Tol Barad
	[60]={ nr=33, low=84,high=85,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} }, -- Tol Barad Peninsula
	[61]={ nr=34, low=84,high=85,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=84,[1]=85} }, -- Twilight Highlands
    [62]={ nr=35, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_EASTERN, instances={} }, -- Undercity
	[63]={ nr=36, low=80,high=82,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} }, -- Vashj'ir
    [64]={ nr=37, low=35,high=40,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={[0]=18} },	-- Western Plaguelands
    [65]={ nr=38, low=10,high=15,faction=TRZ_ALLIANCE ,continent=TRZ_EASTERN, instances={[0]=2} },	-- Westfall
    [66]={ nr=39, low=20,high=25,faction=TRZ_CONTESTED,continent=TRZ_EASTERN, instances={} },	-- Wetlands
    [67]={ nr= 1, low=65,high=68,faction=TRZ_CONTESTED,continent=TRZ_OUTLAND, instances={[0]=47} },	--  Blade's Edge Mountains
    [68]={ nr= 2, low=58,high=63,faction=TRZ_CONTESTED,continent=TRZ_OUTLAND, instances={[0]=29,[1]=30,[2]=34,[3]=35} },	--  Hellfire Peninsula
    [69]={ nr= 3, low=64,high=67,faction=TRZ_CONTESTED,continent=TRZ_OUTLAND, instances={} },	--  Nagrand
    [70]={ nr= 4, low=67,high=70,faction=TRZ_CONTESTED,continent=TRZ_OUTLAND, instances={[0]=41,[1]=42,[2]=43,[3]=49} },	--  Netherstorm
    [71]={ nr= 5, low=67,high=70,faction=TRZ_CONTESTED,continent=TRZ_OUTLAND, instances={[0]=51} },	--  Shadowmoon Valley
    [72]={ nr= 6, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_OUTLAND, instances={} },	--  Shattrath City
    [73]={ nr= 7, low=62,high=65,faction=TRZ_CONTESTED,continent=TRZ_OUTLAND, instances={[0]=37,[1]=38,[2]=39,[3]=40} },	--  Terokkar Forest
    [74]={ nr= 8, low=60,high=64,faction=TRZ_CONTESTED,continent=TRZ_OUTLAND, instances={[0]=31,[1]=32,[2]=33,[3]=48} },	--  Zangarmarsh
    [75]={ nr= 1, low=68,high=72,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={[0]=54,[1]=55,[2]=56} },	-- Borean Tundra
    [76]={ nr= 2, low=77,high=80,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={} },	-- Crystalsong Forest
    [77]={ nr= 3, low= 0,high= 0,faction=TRZ_CITY     ,continent=TRZ_NORTHREND, instances={[0]=67} },	-- Dalaran
    [78]={ nr= 4, low=71,high=74,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={[0]=57,[1]=58,[2]=28,[3]=68} },	-- Dragonblight
    [79]={ nr= 5, low=74,high=76,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={} },	-- Grizzly Hills
    [80]={ nr= 6, low=68,high=72,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={[0]=60,[1]=61} },	-- Howling Fjord
    [81]={ nr= 7, low=77,high=80,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={} }, -- Hrothgar's Landing
    [82]={ nr= 8, low=77,high=80,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={[0]=62,[1]=72,[2]=73} },	-- Icecrown Glacier
    [83]={ nr= 9, low=76,high=78,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={} },	-- Sholazar Basin
    [84]={ nr=10, low=77,high=80,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={[0]=63,[1]=64,[2]=65} },	-- The StormPeaks
    [85]={ nr=11, low=70,high=80,faction=TRZ_COMBAT   ,continent=TRZ_NORTHREND, instances={[0]=74} },	-- Wintergrasp
    [86]={ nr=12, low=74,high=77,faction=TRZ_CONTESTED,continent=TRZ_NORTHREND, instances={[0]=66,[1]=61 } },	-- Zul'Drak
}

TRZ_INSTANCES={
   [0] ={ zone="Ragefire Chasm",		low=13, high=16, type=TRZ_INSTANCE,     faction=TRZ_HORDE,     loc=16 },--Orgrimmar
   [1] ={ zone="Wailing Caverns",		low=17, high=20, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=15 },--Northern Barrens
   [2] ={ zone="The Deadmines",			low=15, high=21, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=65 },--Westfall
   [3] ={ zone="Stockades",			low=22, high=30, type=TRZ_INSTANCE,     faction=TRZ_ALLIANCE,  loc=53 },--Stormwind City
   [4] ={ zone="Shadowfang Keep",		low=16, high=26, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=52 },--Silverpine Forest
   [5] ={ zone="Blackfathom Deeps",		low=22, high=24, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=1 },--Ashenvale
   [6] ={ zone="Gnomeregan",			low=24, high=33, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=34 },-- Dun Morogh
   [7] ={ zone="Razorfen Kraul",		low=24, high=27, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=18 },--Southern Barrens
   [8] ={ zone="Scarlet Monastary",		low=29, high=45, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=58 },-- Tirsifal Glades
   [9] ={ zone="Razorfen Downs",		low=34, high=37, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=23 },--Thousand Needles
   [10]={ zone="Uldaman",			low=35, high=52, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=30 },--Badlands
   [11]={ zone="Maraudon",			low=42, high=48, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=7 },--Desolace
   [12]={ zone="Zul'Farrak",			low=43, high=48, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=20 },--Tanaris
   [13]={ zone="Sunken Temple of Atal'Hakkar",  low=47, high=50, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=55 },--Swamp of sorrows
   [14]={ zone="Blackrock Depths",		low=48, high=56, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=32 },--Burning Steppes
   [15]={ zone="Lower Blackrock Spire",		low=54, high=60, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=32 },--Burning Steppes
   [16]={ zone="Stratholme",			low=55, high=62, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=36},--Eastern Plaguelands
   [17]={ zone="Dire Maul",			low=54, high=61, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=11},-- Feralas
   [18]={ zone="Scholomance",			low=38, high=48, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=64 },-- Western Plaguelands
   [19]={ zone="Warsong Gulch",			low=10, high=80, type=TRZ_BATTLEGROUND, faction=TRZ_HORDE,     loc=15 },--Northern Barrens
   [20]={ zone="Warsong Gulch",			low=10, high=80, type=TRZ_BATTLEGROUND, faction=TRZ_ALLIANCE,  loc=1 },--Ashenvale
   [21]={ zone="Arathi Basin",			low=20, high=80, type=TRZ_BATTLEGROUND, faction=TRZ_CONTESTED, loc=29},--Arathi Highlands
   [22]={ zone="Alterac Valley",		low=51, high=80, type=TRZ_BATTLEGROUND, faction=TRZ_CONTESTED, loc=40 },--Hillsbrad Foothills
   [23]={ zone="Blackwing Lair",		low=60, high=60, type=TRZ_RAID40,       faction=TRZ_CONTESTED, loc=32, iloc=52 },--Burning Steppes,Silverpine
   [24]={ zone="Molten Core",			low=60, high=60, type=TRZ_RAID40,       faction=TRZ_CONTESTED, loc=32, iloc=65 },--Burning Steppes,Westfall
   [25]={ zone="Onyxia's Lair",			low=80, high=80, type=TRZ_RAID1025,       faction=TRZ_CONTESTED, loc=9 },-- Dustshallow March
   [26]={ zone="Ruins of Ahn'Qiraj",		low=60, high=60, type=TRZ_RAID10,       faction=TRZ_CONTESTED, loc=17 },--Silithus
   [27]={ zone="Temple of Ahn'Qiraj",		low=60, high=60, type=TRZ_RAID40,       faction=TRZ_CONTESTED, loc=17 },--Silithus
   [28]={ zone="Naxxramas",			low=80, high=80, type=TRZ_RAID1025,       faction=TRZ_CONTESTED, loc=63},--Dragonblight
   [29]={ zone="Blood Furnaces",		low=61, high=63, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=54 },--Hellfire Peninsula
   [30]={ zone="The Shattered Halls",		low=69, high=70, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=54 },--Hellfire Peninsula
   [31]={ zone="The Underbog",			low=63, high=65, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=60 },--Zangarmarsh
   [32]={ zone="The Steamvault",		low=68, high=70, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=60 },--Zangarmarsh
   [33]={ zone="The Slave Pens",		low=62, high=64, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=60 },--Zangarmarsh
   [34]={ zone="Magtheridons Lair",		low=70, high=70, type=TRZ_RAID25,       faction=TRZ_CONTESTED, loc=54 },--Hellfire Peninsula
   [35]={ zone="Hellfire Rampart",    		low=60, high=62, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=54 },--Hellfire Peninsula
   [36]={ zone="Upper Blackrock Spire",		low=58, high=60, type=TRZ_RAID10,       faction=TRZ_CONTESTED, loc=32 },--Burning Steppes
   [37]={ zone="Mana Tombs",		        low=64, high=66, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=59 },--Terokkar Forest
   [38]={ zone="Auchenai Crypts",		low=65, high=67, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=59 },--Terokkar Forest
   [39]={ zone="Sethekk Halls",		        low=67, high=69, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=59 },--Terokkar Forest
   [40]={ zone="Shadow Labyrinth",		low=69, high=70, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=59 },--Terokkar Forest
   [41]={ zone="The Mechanar",		        low=70, high=70, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=56 },--Netherstorm
   [42]={ zone="The Botanica",			low=70, high=70, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=56 },--Netherstorm
   [43]={ zone="The Arcatraz",			low=70, high=70, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=56 },--Netherstorm
   [44]={ zone="Caverns of Time: Escape from Durnholde Keep",	low=66, high=68, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=20 },--Tanaris
   [45]={ zone="Caverns of Time: Opening the Dark Portal",	low=70, high=70, type=TRZ_INSTANCE,     faction=TRZ_CONTESTED, loc=20 },--Tanaris
   [46]={ zone="Karazhan",			low=70, high=70, type=TRZ_RAID10,     faction=TRZ_CONTESTED, loc=33 },--Deadwind Pass
   [47]={ zone="Gruul's Lair",			low=70, high=70, type=TRZ_RAID25,     faction=TRZ_CONTESTED, loc=53 },--Blade's Edge Mountains
   [48]={ zone="Serpentshrine Cavern",		low=70, high=70, type=TRZ_RAID25,     faction=TRZ_CONTESTED, loc=60 },--Zangarmarsh
   [49]={ zone="The Eye",			low=70, high=70, type=TRZ_RAID25,     faction=TRZ_CONTESTED, loc=56 },--Netherstorm
   [50]={ zone="Caverns of Time: The Battle for Mount Hyjal",	low=70, high=70, type=TRZ_RAID25,     faction=TRZ_CONTESTED, loc=20 },--Tanaris
   [51]={ zone="The Black Temple",		low=70, high=70, type=TRZ_RAID25,     faction=TRZ_CONTESTED, loc=57 },--Shadowmoon Valley
   [52]={ zone="Magisters' Terrace",    low=70, high=70, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=42 }, --Isle of Quel'Danas
   [53]={ zone="Sunwell Plateau",       low=70, high=70, type=TRZ_RAID25, faction=TRZ_CONTESTED, loc=42 }, --Isle of Quel'Danas
   [54]={ zone="The Nexus",       low=71, high=73, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=61 }, --Borean Tundra
   [55]={ zone="The Oculus",       low=80, high=80, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=61 }, --Borean Tundra
   [56]={ zone="The Eye of Eternity",       low=80, high=80, type=TRZ_RAID1025, faction=TRZ_CONTESTED, loc=61 }, --Borean Tundra
   [57]={ zone="Azjol-Nerub",       low=71, high=73, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=64 }, --Dragonblight
   [58]={ zone="Ahn'Kahet: The Old Kingdom",       low=80, high=80, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=64 }, --Dragonblight
   [59]={ zone="Drak'Tharon Keep",       low=74, high=76, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=72 }, --Zul'Drak
   [60]={ zone="Utgarde Keep",       low=70, high=72, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=66 }, --Howling Fjord
   [61]={ zone="Utgarde Pinnacle",       low=80, high=80, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=66 }, --Howling Fjord
   [62]={ zone="Icecrown Citadel",       low=80, high=80, type=TRZ_RAID1025, faction=TRZ_CONTESTED, loc=68 }, --Icecrown Glacier
   [63]={ zone="The Halls of Stone",       low=77, high=79, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=70 }, --TheStormPeaks
   [64]={ zone="The Halls of Lightning",       low=80, high=80, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=70 }, --TheStormPeaks
   [65]={ zone="Ulduar Raid",       low=80, high=80, type=TRZ_RAID1025, faction=TRZ_CONTESTED, loc=70 }, --TheStormPeaks
   [66]={ zone="Gun'Drak",       low=74, high=76, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=72 }, --Zul'Drak
   [67]={ zone="Violet Hold",       low=70, high=80, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=63 }, --Dalaran
   [68]={ zone="Chamber of Aspects",       low=80, high=80, type=TRZ_RAID1025, faction=TRZ_CONTESTED, loc=64 }, --Dragonblight
   [69]={ zone="Culling of Stratholme",       low=80, high=80, type=TRZ_INSTANCE, faction=TRZ_CONTESTED, loc=16 }, --Tanaris
   [70]={ zone="Strand of the Ancients",       low=71, high=80, type=TRZ_BATTLEGROUND, faction=TRZ_CONTESTED, loc=64 }, --Dragonblight 
   [71]={ zone="Zul'Aman", low=70,high=70,type=TRZ_RAID10,faction=TRZ_CONTESTED,loc=39 }, --Ghostlands
   [72]={zone="Trial of the Champion", low=80,high=80,type=TRZ_INSTANCE,faction=TRZ_CONTESTED,loc=68 }, --Icecrown
   [73]={zone="Trial of the Crusader", low=80,high=80,type=TRZ_RAID1025,faction=TRZ_CONTESTED,loc=68 }, --Icecrown
   [74]={zone="Vault of Archavon",low=80,high=80,type=TRZ_RAID1025,faction=TRZ_CONTESTED,loc=71 }, --Wintergrasp
   [75]={zone="Azshara Crater",low=20,high=20,type=TRZ_BATTLEGROUND, faction=TRZ_CONTESTED,loc=2}, -- Azshara
   [76]={zone="Firelands",low=85,high=85,type=TRZ_RAID1025,faction=TRZ_CONTESTED,loc=13}, -- Mount Hyjal
   [77]={zone="Caverns of Time: Culling of Stratholme",low=80,high=80,type=TRZ_INSTANCE,faction=TRZ_CONTESTED,loc=20}, --Tanaris
   [78]={zone="Caverns of Time: War of the Ancients",low=85,high=85,type=TRZ_RAID1025,faction=TRZ_CONTESTED,loc=20}, --Tanaris
   [79]={zone="Vortex Pinnacle",low=82,high=84,type=TRZ_INSTANCE,faction=TRZ_CONTESTED,loc=25}, --Uldum
   [80]={zone="Lost City of the Tol'vir",low=85,high=85,type=TRZ_INSTANCE,faction=TRZ_CONTESTED,loc=25}, --Uldum
   [81]={zone="Halls of Origination",low=85,high=85,type=TRZ_INSTANCE,faction=TRZ_CONTESTED,loc=25}, --Uldum
   [82]={zone="Throne of the Four Winds",low=85,high=85,type=TRZ_RAID1025,faction=TRZ_CONTESTED,loc=25}, --Uldum
   [83]={zone="Throne of the Tides",low=80,high=81,type=TRZ_INSTANCE,faction=TRZ_CONTESTED,loc=28}, --Abyssal Depths
   [84]={zone="Grim Batol",low=85,high=85,type=TRZ_INSTANCE,faction=TRZ_CONTESTED,loc=61}, --Twilight Highlands
   [85]={zone="Bastion of Twilight",low=85,high=85,type=TRZ_RAID1025,faction=TRZ_CONTESTED,loc=61}, --Twilight Highlands
}